net.sf.jasperreports.engine

## Interface JRChartDataset

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable, JRElementDataset
  All Known Subinterfaces:
    JRCategoryDataset, JRGanttDataset, JRHighLowDataset, JRPieDataset, JRTimePeriodDataset, JRTimeSeriesDataset, JRValueDataset, JRXyDataset, JRXyzDataset
  All Known Implementing Classes:
    JRBaseCategoryDataset, JRBaseChartDataset, JRBaseGanttDataset, JRBaseHighLowDataset, JRBasePieDataset, JRBaseTimePeriodDataset, JRBaseTimeSeriesDataset, JRBaseValueDataset, JRBaseXyDataset, JRBaseXyzDataset, JRDesignCategoryDataset, JRDesignChartDataset, JRDesignGanttDataset, JRDesignHighLowDataset, JRDesignPieDataset, JRDesignTimePeriodDataset, JRDesignTimeSeriesDataset, JRDesignValueDataset, JRDesignXyDataset, JRDesignXyzDataset, JRFillCategoryDataset, JRFillChartDataset, JRFillGanttDataset, JRFillHighLowDataset, JRFillPieDataset, JRFillTimePeriodDataset, JRFillTimeSeriesDataset, JRFillValueDataset, JRFillXyDataset, JRFillXyzDataset

      public interface JRChartDataset
      extends JRElementDataset

  Datasets are used to represent the actual data needed to generate a chart. The dataset structure may vary with each chart type. This is the superinterface for all datasets and contains common dataset properties.
  Version:
    $Id: JRChartDataset.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `CATEGORY_DATASET`
    `static byte` | `GANTT_DATASET`
    `static byte` | `HIGHLOW_DATASET`
    `static byte` | `PIE_DATASET`
    `static byte` | `TIMEPERIOD_DATASET`
    `static byte` | `TIMESERIES_DATASET`
    `static byte` | `VALUE_DATASET`
    `static byte` | `XY_DATASET`
    `static byte` | `XYZ_DATASET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getDatasetType()` Gets the dataset type.
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PIE_DATASET

          static final byte PIE_DATASET

      See Also:
        Constant Field Values

    - #### CATEGORY_DATASET

          static final byte CATEGORY_DATASET

      See Also:
        Constant Field Values

    - #### XY_DATASET

          static final byte XY_DATASET

      See Also:
        Constant Field Values

    - #### XYZ_DATASET

          static final byte XYZ_DATASET

      See Also:
        Constant Field Values

    - #### TIMEPERIOD_DATASET

          static final byte TIMEPERIOD_DATASET

      See Also:
        Constant Field Values

    - #### TIMESERIES_DATASET

          static final byte TIMESERIES_DATASET

      See Also:
        Constant Field Values

    - #### HIGHLOW_DATASET

          static final byte HIGHLOW_DATASET

      See Also:
        Constant Field Values

    - #### VALUE_DATASET

          static final byte VALUE_DATASET

      See Also:
        Constant Field Values

    - #### GANTT_DATASET

          static final byte GANTT_DATASET

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDatasetType

          byte getDatasetType()

      Gets the dataset type. Must be one of the dataset type constants defined in this class.

    - #### validate

          void validate(JRVerifier verifier)

      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Parameters:
        `verifier` - the verifier to use for validation

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com